// packageH/consumerReward/consumerRewardIndex/consumerRewardIndex.js
var app = getApp();
let defaultTitle="消费奖励";
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page: 1, //分页数，当前页数
    isLoadMore: true, //判断是否要加载更多的标志
    total_page: 0, //总页数
    listData:[],

    member:{},
    totalPrice:'',
    withdraw_amount:0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getListData();
  },

  getListData(){
    let urlStr = app.getNetAddresss('plugin.consumer-reward.frontend.controllers.reward.reward-record');
    app._postNetWork({
      url: urlStr,
      success: (resdata) => {
        var res = resdata.data;
        if (res.result != 1) return app.tips(res.msg);
        this.data.total_page = res.data.reward_record.last_page;
        if (!this.data.total_page) {
          this.data.total_page = 0;
        }
        this.setData({
          member:res.data.member,
          listData:res.data.reward_record.data,
          totalPrice:res.data.total,
          withdraw_amount: res.data.withdraw_amount
        });			
        wx.setNavigationBarTitle({
          title: res.data.plugin_name||defaultTitle,
        });
      }
    });
  },
  gotoWithdraw(){
    let urlStr = app.getNetAddresss("plugin.consumer-reward.frontend.controllers.reward.receive-income");
    app._getNetWork({
      url: urlStr,
      data: {},
      success: (resdata)=> {
        var res = resdata.data;
        wx.showToast({
          title: res.msg,
          icon: 'none',
          duration: 1500
        });
        if (res.result == 1) {
          this.getListData();
        }
      },
      fail: function(res) {
        console.log(res);
      }
    });
  },
  //加载更多数据
  _getMoreData(){
    this.data.isLoadMore = false; // 防止多次请求分页数据
    if (this.data.page >= this.data.total_page) {
      // that.loading = true;
      return;
    } else {
      this.data.page += 1;

      let urlStr = app.getNetAddresss('plugin.consumer-reward.frontend.controllers.reward.reward-record');

      app._postNetWork({
        url: urlStr,
        data:{page:this.data.page},
        success: (resdata) => {
          let res = resdata.data;
          this.data.isLoadMore = true;
          if (res.result === 1) {
            let listData = this.data.listData.concat(res.data.reward_record.data);
            this.setData({listData});
          } else {
            this.data.page = this.data.page - 1;
            this.data.isLoadMore = false;
          }
        }
      });
    }
  },

  gotoConsumerRewardApply(){
    wx.navigateTo({
      url: '/packageH/consumerReward/consumerRewardApply/consumerRewardApply',
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.isLoadMore) {
      this._getMoreData();
    } else {
      console.log('没有更多数据');
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
});